### Class method

# Gtk WidgetClass add_binding_signal

#### Declaration [src]

    void
    gtk_widget_class_add_binding_signal (
      GtkWidgetClass* widget_class,
      guint keyval,
      GdkModifierType mods,
      const char* signal,
      const char* format_string,
      ...
    )

#### Description [src]

Creates a new shortcut for `widget_class` that emits the given action `signal` with arguments read according to `format_string`.

The arguments and format string must be provided in the same way as with `g_variant_new()`.

This function is a convenience wrapper around `gtk_widget_class_add_shortcut()` and must be called during class initialization.

Note: Since 4.24, this function takes key aliases into account. See `gdk_keyval_get_aliases()` for more information on key aliases. To make a shortcut for an individual key, use `gtk_widget_class_add_shortcut()`.

This method is not directly available to language bindings.

#### Parameters

`keyval`

  Type: `guint`

  Key value of binding to install.

`mods`

  Type: `GdkModifierType`

  Key modifier of binding to install.

`signal`

  Type: `const char*`

  The signal to execute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format_string`

  Type: `const char*`

  `GVariant` format string for arguments.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments, as given by format string.